org.apache.ignite.internal.processors.query.schema.management

## Class AbstractIndexDescriptorFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.management.AbstractIndexDescriptorFactory

All Implemented Interfaces:
  IndexDescriptorFactory

Direct Known Subclasses:
  SortedIndexDescriptorFactory

    public abstract class AbstractIndexDescriptorFactory
    extends Object
    implements IndexDescriptorFactory

Abstract index descriptor factory (with helper methods).

### Constructor Summary

Constructors
Constructor and Description
`AbstractIndexDescriptorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static LinkedHashMap<String,IndexKeyDefinition>` `indexDescriptorToKeysDefinition(GridQueryIndexDescriptor idxDesc, GridQueryTypeDescriptor typeDesc)`
`protected static IndexKeyDefinition` `keyDefinition(GridQueryTypeDescriptor typeDesc, String field, boolean ascOrder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.query.schema.management.IndexDescriptorFactory

`create`

### Constructor Detail

#### AbstractIndexDescriptorFactory

    public AbstractIndexDescriptorFactory()

### Method Detail

#### indexDescriptorToKeysDefinition

    protected static LinkedHashMap<String,IndexKeyDefinition> indexDescriptorToKeysDefinition(GridQueryIndexDescriptor idxDesc,
                                                                                              GridQueryTypeDescriptor typeDesc)

#### keyDefinition

    protected static IndexKeyDefinition keyDefinition(GridQueryTypeDescriptor typeDesc,
                                                      String field,
                                                      boolean ascOrder)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023